package net.wanji.opt.service.impl;

import net.wanji.common.utils.tool.BeanListUtils;
import net.wanji.opt.dao.mapper.CrossInfoMapper;
import net.wanji.opt.dto.CrossInfoDTO;
import net.wanji.opt.po.base.CrossInfoPO;
import net.wanji.opt.query.CrossQuery;
import net.wanji.opt.service.CrossInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author hfx
 * @date 2023/1/12 15:12
 * @desc CrossInfoServiceImpl
 */
@Service
public class CrossInfoServiceImpl implements CrossInfoService {

    @Resource
    CrossInfoMapper crossInfoMapper;

    public List<CrossInfoDTO> listCrossInfo(CrossQuery query) {

        // 获取数据库数据
        List<CrossInfoPO> crossInfoPOList = crossInfoMapper.listCrossInfo(query);
        return BeanListUtils.populateList(crossInfoPOList, new ArrayList<>(), CrossInfoDTO.class);
    }

}
